# Konkursprediksjon av norske SMB
Denne mappen inneholder kode for behandling, analyse og resultater i forbindelse med databehandling og XGBoost-modellene som er brukt i studien. Det er tatt inspirasjon fra koden brukt i Wahlstrøm (2023) (https://dx.doi.org/10.2139/ssrn.4321303).

## Databehandling.ipynb
Dette er den første kodefilen som skal kjøres. Her behandles datasettet. Tar inn de aktuelle regnskapsårene og setter de sammen til ett datasett.

## XGBoost - Tuning av hyperparametere.ipynb
I denne koden tunes hyperparameterene og lagres til slutt i mappen "tuned_hyperparameters" som pickle-fil.

## XGBoost - Modell med plot.ipynb
Her blir XGBoost-modellene først laget. Senere lages globale og lokale plott. Resultatene blir lagret i mappen "resultater_XGBoost".

## functions
I mappen "funtions" ligger det tre funksjonsfiler som brukes i pythonfilene nevnt over. Filen "functions" behandler forholdstallene. Funksjonen "function_remove_unused_columns" fjerner ubrukte kolonner i datasettet. Siste funksjon "functions_variables" brukes til å hente inn 155 variabler, slik som brukt i Paraschiv (2021) (https://doi.org/10.2139/ssrn.3911490).

## Data
Dataen som er brukt i denne studien kan ikke deles videre som følge av inngåtte avtaler med leverandøren av dataen. En detaljert beskrivelse av datasettet finnes likevel (Wahlstrøm, Ranik Raaen (2022), https://doi.org/10.48550/arXiv.2203.12842).
